<id>
Your Post Indicator
</id>

<version>
1.0
</version>

<mod info>
Description:
This mod allows user to show in MessageIndex, where they have posted.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Admin/ModList.pl (ASCII)
Languages/English/MessageIndex.lng (ASCII)
Sources/MessageIndex.pl (ASCII)
Templates/default/MessageIndex.Template (ASCII)

</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.grafix-world.nl
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$YourPostIndicator = "Your Post Indicator|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a> and Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>)|This mod allows user to show in MessageIndex, where they have posted.|1.0|31.08.2007";
	push (@installed_mods, "$YourPostIndicator");
</add before>

<edit file>
Languages/English/MessageIndex.lng
</edit file>

<search for>
'302' => "New",
</search for>

<add after>
'303' => "You have posted in this thread.",
</add after>

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
	# Begin printing the message index for current board.
</search for>

<add before>
	if (!$iamguest) { &Recent_Load($username); }
</add before>

<search for>
		# Censor the subject of the thread.
		$msub = &Censor($msub);
		&ToChars($msub);
</search for>

<add after>
		my $mwtopic = ''; 
		if (!$iamguest && !$movedFlag && $recent{$mnum}) { 
		$mwtopic = qq~<img src="$imagesdir/mwtopic.gif" alt="$messageindex_txt{'303'}" border="0" />~; 
		}
</add after>

<search for>
		$tempbar =~ s/<yabb new>/$new/g;
</search for>

<add after>
		$tempbar =~ s/<yabb mwtopic>/$mwtopic/g;
</add after>

<edit file>
Templates/default/MessageIndex.template
</edit file>

<search for>
      <td nowrap="nowrap" width="1%" valign="middle"><yabb favorite> <yabb new>&nbsp;<yabb poll></td>
</search for>

<replace>
      <td nowrap="nowrap" width="1%" valign="middle"><yabb mwtopic> <yabb favorite> <yabb new>&nbsp;<yabb poll></td>
</replace>